Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665416 - sci-electronics/ngspice: keyword arm64
Summary: sci-electronics/ngspice: keyword arm64
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: The Soldering-Iron Brotherhood
URL:
Whiteboard:
Keywords: CC-ARCHES, KEYWORDREQ, PullRequest
Depends on:
Blocks:
 
Reported: 2018-09-07 01:32 UTC by Virgil Dupras (RETIRED)
Modified: 2021-02-22 18:58 UTC (History)
1 user (show)

See Also:
Package list:
sci-electronics/ngspice ~arm64 sci-visualization/xgraph ~arm64
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Virgil Dupras (RETIRED) gentoo-dev 2018-09-07 01:32:13 UTC
ngspice is becoming a dependency to kicad 5 (ebuild coming soon) which is keyworded for arm64.
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-07-23 14:16:30 UTC
(In reply to Virgil Dupras from comment #0)
> ngspice is becoming a dependency to kicad 5 (ebuild coming soon) which is
> keyworded for arm64.

Virgil, there are hundreds of test failures on ngspice.  They are all similar to the below:

variant: Flip_N              (compared to: standard ) FAIL        (probably from some simulation failure)

The outcome is always the same "probably from..."

Many other tests pass fine as well, but I am not familiar enough with ngspice as to why these would fail.
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-07-29 23:08:03 UTC
Please ping when this is fixed.
Comment 3 NATTkA bot gentoo-dev 2020-04-06 15:17:56 UTC Comment hidden (obsolete)
Comment 4 Sam James archtester gentoo-dev Security 2020-06-25 19:45:22 UTC
ping...
Comment 5 NATTkA bot gentoo-dev 2021-01-18 10:17:09 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2021-01-20 16:37:08 UTC
All sanity-check issues have been resolved
Comment 7 Larry the Git Cow gentoo-dev 2021-02-22 18:57:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5fb42e3d4ea3b5e5d423791d8014f5f97c239fbd

commit 5fb42e3d4ea3b5e5d423791d8014f5f97c239fbd
Author:     Roy Bamford <neddyseagoon@gentoo.org>
AuthorDate: 2021-02-17 21:52:09 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-02-22 18:55:36 +0000

    sci-electronics/ngspice: added ~arm64
    
    Closes: https://bugs.gentoo.org/665416
    
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Roy Bamford <neddyseagoon@gentoo.org>
    Signed-off-by: Sam James <sam@gentoo.org>

 sci-electronics/ngspice/ngspice-31-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)